| Technical data |
| System compatibility | RFC Series |
The RUS-100 rolling base from RCS Audio-Systems is a mobile base for heavy equipment and racks, specifically designed for the
RFC-Series. It serves as a stable platform that facilitates the transportation and positioning of professional audio and IT systems in studios, on stage, at events, or in workshops. The product is made of
cross-laminated multiplex wood with a thickness of 15 mm, ensuring high mechanical load capacity and long-term stability. The
blackened surface not only provides an attractive, professional appearance but also protects the wood against dirt and external influences.
Applications include primarily
studio and stage technology, where mobile and secure transport solutions for racks are required. It is also suitable for
workshop and laboratory environments as well as
trade fairs and events, as it enables safe transportation and flexible placement of equipment. The construction is designed to meet the requirements of professional users who value reliability and mobility.
Functions and equipment in detail combine stability and flexibility. The RUS-100 is equipped with four
100 mm Blue-Wheels swivel castors, ensuring easy and precise maneuverability. Two of the castors are fitted with
brakes to securely fix the unit when needed and prevent unintended rolling. The castors are high-quality and designed for use in demanding environments.
Technology explained simply shows that the multiplex wood, due to its cross-laminated structure, is particularly resistant to warping and cracking. The blackened surface is a finish that protects the wood from moisture and mechanical stress without affecting its strength. The dimensions of the RUS-100 are 535 mm (width) × 600 mm (depth), making it suitable for standard racks in the RFC-Series. The weight is approximately 6 kg, providing a good balance between load capacity and handling.
Compatibility and accessories are designed for the
RFC-Series, which consists of various 19˝ rack flight case models (e.g. RFC-010, RFC-012, RFC-015, RFC-020). The RUS-100 is designed as an accessory for these racks and enables their mobile use.
Mounting and installation is done via pre-mounted castors already attached to the base. The stepless mounting allows flexible adaptation to various rack models within the RFC-Series.
Operational advantages lie in the combination of high stability, mobile handling, and professional appearance. The
Blue-Wheels swivel castors ensure smooth movement, while the brakes provide secure fixation. The material and workmanship are designed for use in demanding environments, making the RUS-100 a reliable solution for mobile applications. The product is manufactured in Germany, indicating high product quality.
The delivery includes
1x RUS-100 rolling base with pre-mounted castors.
In summary, the RUS-100 is a robust, mobile base for the RFC-Series, designed for stability, mobility, and professional use. It is ideal for use in studio, stage, workshop, and event environments where secure and flexible transport solutions for racks are required.